import { html, ref } from '@microsoft/fast-element';
const allFieldsTemplate = html `
  <section class="all-fields" slot="left-section">
    <h3 class="mt-1 section-title dark-grey">Apply filters</h3>
    <zero-card class="card">
      <div class="flex space-between">
        <h5 class="card-title">All fields</h5>
      </div>

      <div class="w-full h-90pc">
        <zero-grid-pro
          ${ref('availableFieldsGrid')}
          rowSelection="multiple"
          suppressRowClickSelection
        ></zero-grid-pro>
      </div>
    </zero-card>
  </section>
`;
const selectedFiltersTemplate = html `
  <section class="selected-filters" slot="right-section">
    <div class="spacer-3"></div>
    <zero-card class="card">
      <div class="flex space-between">
        <h5 class="card-title">Fields to Apply Filters</h5>
        <zero-button
          @click=${(x) => x.removeSelectedFilters()}
          ?disabled=${(x) => !x.filtersToRemove.length}
          appearance="primary-gradient"
        >
          Remove filters
        </zero-button>
      </div>
      <div class="w-full h-90pc">
        <zero-grid-pro
          ${ref('selectedFiltersGrid')}
          rowSelection="multiple"
          suppressRowClickSelection
        ></zero-grid-pro>
      </div>
    </zero-card>
  </section>
`;
export const SelectFiltersTemplate = html `
  <layout-two-pane-horizontal splitRatio="right-main">
    ${allFieldsTemplate} ${selectedFiltersTemplate}
  </layout-two-pane-horizontal>
`;
